#!/bin/sh
# source /etc/conf.d/vdr

# Admin.conf erweitern
#sh /_config/bin/g2v_updadminconf.sh

GS="$(rc-status default|grep "gui.*started")"
[ "$GS" != "" ] && /etc/init.d/gui stop
VS="$(pidof vdr)"
[ "$VS" != "" ] && /etc/init.d/vdr stop

# em84xx update
/_config/bin/instplg.sh /_config/update/vdr-em84xx-0.0.13-stilltest9.tar.bz2

# Cutter Bandwidth Limit
cd /usr/local/src/VDR
if [ "$(patch -f --dry-run < /_config/update/patches/up07.CutterBandwidthLimit.diff | grep FAILED)" = "" ] ; then
   if [ $(patch -f --dry-run < /_config/update/patches/up07.CutterBandwidthLimit.diff | grep fuzz|wc -l) -lt 2 ] ; then
      patch -f < /_config/update/patches/up07.CutterBandwidthLimit.diff
      make
   fi      
fi
[ -f /usr/local/portage/patches/tda10086_tun.diff ] && mv /usr/local/portage/patches/tda10086_tun.diff /usr/local/portage/patches/tda10086_tun.diff.old
      
[ "$VS" = "1" ] && /etc/init.d/vdr start
sleep 3
[ "$GS" != "" ] && /etc/init.d/gui start
